- defaults:
    link:
      create: true
      relink: true
      force: true

- clean: ["~"]

- link:
    # WM
    ~/.config/bspwm/bspwmrc: config/bspwmrc
    ~/.config/sxhkd/sxhkdrc: config/sxhkdrc
    ~/.config/sway/config: config/sway
    ~/.config/polybar: config/polybar
    ~/.config/picom/picom.conf: config/picom.conf

    # Shell
    ~/.config/kitty/kitty.conf: config/kitty.conf
    ~/.aliases: config/.aliases.sh
    ~/gpg.conf: config/gpg.conf
    ~/.ssh/config: config/ssh

    # NVim
    ~/.config/nvim: config/neovim

    # Applications
    ~/.config/spotifyd/spotifyd.conf: config/spotifyd.conf
    ~/.gtkrc-2.0: config/gtk/2.ini
    ~/.config/gtk-3.0/settings.ini: config/gtk/3.ini
    ~/.config/VSCodium/User/settings.json: config/vscodium.json
    ~/.config/chromium-flags.conf: config/chromium/flags
    ~/.config/electron-flags.conf: config/chromium/flags
    ~/.config/flameshot/flameshot.ini: config/flameshot.ini
    ~/.config/dunst/dunstrc: config/dunstrc

    # System

- shell:
    - [git submodule update --init --recursive, Installing submodules]
    - [scripts/install-yay, Installing yay]
    - [scripts/install-rofi, Installing Rofi]
    # - [scripts/ungoogled_chromium, Setting up ungoogled chromium repo]

- create:
    - ~/.config
